Skip to content
This repository
Browse code

version 0.9.8.2 release

  • Loading branch information...
commit 5e5bf60c96e74f241760ab488a53179a5ed43396 1 parent cb5b2c2
John Mair banister authored

Showing 3 changed files with 13 additions and 7 deletions. Show diff stats Hide diff stats

  1. +6 0 CHANGELOG
  2. +1 1  lib/pry/version.rb
  3. +6 6 pry.gemspec
6 CHANGELOG
... ... @@ -1,3 +1,9 @@
  1 +9/2/2012 version 0.9.8.2 bugfix
  2 +* fixed bugs related to --super
  3 +* upgraded slop dependency
  4 +* added edit -c (edit current line)
  5 +* edit now respects Pry.config.disable_autoreload option
  6 +
1 7 30/1/2012 version 0.9.8.1 bugfix
2 8 * fixed broken --no-plugins option
3 9 * Ensure ARGV is not mutated during option parsing.
2  lib/pry/version.rb
... ... @@ -1,3 +1,3 @@
1 1 class Pry
2   - VERSION = "0.9.8.1"
  2 + VERSION = "0.9.8.2"
3 3 end
12 pry.gemspec
@@ -2,18 +2,18 @@
2 2
3 3 Gem::Specification.new do |s|
4 4 s.name = "pry"
5   - s.version = "0.9.8.1"
  5 + s.version = "0.9.8.2"
6 6
7 7 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
8 8 s.authors = ["John Mair (banisterfiend)"]
9   - s.date = "2012-01-30"
  9 + s.date = "2012-02-09"
10 10 s.description = "An IRB alternative and runtime developer console"
11 11 s.email = "jrmair@gmail.com"
12 12 s.executables = ["pry"]
13 13 s.files = [".document", ".gemtest", ".gitignore", ".travis.yml", ".yardopts", "CHANGELOG", "CONTRIBUTORS", "Gemfile", "LICENSE", "README.markdown", "Rakefile", "TODO", "bin/pry", "examples/example_basic.rb", "examples/example_command_override.rb", "examples/example_commands.rb", "examples/example_hooks.rb", "examples/example_image_edit.rb", "examples/example_input.rb", "examples/example_input2.rb", "examples/example_output.rb", "examples/example_print.rb", "examples/example_prompt.rb", "examples/helper.rb", "lib/pry.rb", "lib/pry/cli.rb", "lib/pry/code.rb", "lib/pry/command.rb", "lib/pry/command_set.rb", "lib/pry/commands.rb", "lib/pry/completion.rb", "lib/pry/config.rb", "lib/pry/core_extensions.rb", "lib/pry/custom_completions.rb", "lib/pry/default_commands/basic.rb", "lib/pry/default_commands/context.rb", "lib/pry/default_commands/documentation.rb", "lib/pry/default_commands/easter_eggs.rb", "lib/pry/default_commands/gems.rb", "lib/pry/default_commands/input.rb", "lib/pry/default_commands/introspection.rb", "lib/pry/default_commands/ls.rb", "lib/pry/default_commands/shell.rb", "lib/pry/extended_commands/experimental.rb", "lib/pry/helpers.rb", "lib/pry/helpers/base_helpers.rb", "lib/pry/helpers/command_helpers.rb", "lib/pry/helpers/options_helpers.rb", "lib/pry/helpers/text.rb", "lib/pry/history.rb", "lib/pry/history_array.rb", "lib/pry/hooks.rb", "lib/pry/indent.rb", "lib/pry/method.rb", "lib/pry/plugins.rb", "lib/pry/pry_class.rb", "lib/pry/pry_instance.rb", "lib/pry/rbx_method.rb", "lib/pry/rbx_path.rb", "lib/pry/version.rb", "lib/pry/wrapped_module.rb", "man/pry.1", "man/pry.1.html", "man/pry.1.ronn", "pry.gemspec", "test/helper.rb", "test/test_cli.rb", "test/test_code.rb", "test/test_command.rb", "test/test_command_helpers.rb", "test/test_command_integration.rb", "test/test_command_set.rb", "test/test_completion.rb", "test/test_default_commands.rb", "test/test_default_commands/test_context.rb", "test/test_default_commands/test_documentation.rb", "test/test_default_commands/test_gems.rb", "test/test_default_commands/test_input.rb", "test/test_default_commands/test_introspection.rb", "test/test_default_commands/test_ls.rb", "test/test_default_commands/test_shell.rb", "test/test_exception_whitelist.rb", "test/test_history_array.rb", "test/test_hooks.rb", "test/test_indent.rb", "test/test_input_stack.rb", "test/test_method.rb", "test/test_pry.rb", "test/test_pry_defaults.rb", "test/test_pry_history.rb", "test/test_pry_output.rb", "test/test_special_locals.rb", "test/test_syntax_checking.rb", "test/test_wrapped_module.rb", "test/testrc", "test/testrcbad", "wiki/Customizing-pry.md", "wiki/Home.md"]
14 14 s.homepage = "http://pry.github.com"
15 15 s.require_paths = ["lib"]
16   - s.rubygems_version = "1.8.15"
  16 + s.rubygems_version = "1.8.11"
17 17 s.summary = "An IRB alternative and runtime developer console"
18 18 s.test_files = ["test/helper.rb", "test/test_cli.rb", "test/test_code.rb", "test/test_command.rb", "test/test_command_helpers.rb", "test/test_command_integration.rb", "test/test_command_set.rb", "test/test_completion.rb", "test/test_default_commands.rb", "test/test_default_commands/test_context.rb", "test/test_default_commands/test_documentation.rb", "test/test_default_commands/test_gems.rb", "test/test_default_commands/test_input.rb", "test/test_default_commands/test_introspection.rb", "test/test_default_commands/test_ls.rb", "test/test_default_commands/test_shell.rb", "test/test_exception_whitelist.rb", "test/test_history_array.rb", "test/test_hooks.rb", "test/test_indent.rb", "test/test_input_stack.rb", "test/test_method.rb", "test/test_pry.rb", "test/test_pry_defaults.rb", "test/test_pry_history.rb", "test/test_pry_output.rb", "test/test_special_locals.rb", "test/test_syntax_checking.rb", "test/test_wrapped_module.rb", "test/testrc", "test/testrcbad"]
19 19
@@ -22,14 +22,14 @@ Gem::Specification.new do |s|
22 22
23 23 if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
24 24 s.add_runtime_dependency(%q<coderay>, ["~> 1.0.5"])
25   - s.add_runtime_dependency(%q<slop>, ["< 3", ">= 2.4.3"])
  25 + s.add_runtime_dependency(%q<slop>, ["< 3", ">= 2.4.4"])
26 26 s.add_runtime_dependency(%q<method_source>, ["~> 0.7"])
27 27 s.add_development_dependency(%q<bacon>, ["~> 1.1"])
28 28 s.add_development_dependency(%q<open4>, ["~> 1.3"])
29 29 s.add_development_dependency(%q<rake>, ["~> 0.9"])
30 30 else
31 31 s.add_dependency(%q<coderay>, ["~> 1.0.5"])
32   - s.add_dependency(%q<slop>, ["< 3", ">= 2.4.3"])
  32 + s.add_dependency(%q<slop>, ["< 3", ">= 2.4.4"])
33 33 s.add_dependency(%q<method_source>, ["~> 0.7"])
34 34 s.add_dependency(%q<bacon>, ["~> 1.1"])
35 35 s.add_dependency(%q<open4>, ["~> 1.3"])
@@ -37,7 +37,7 @@ Gem::Specification.new do |s|
37 37 end
38 38 else
39 39 s.add_dependency(%q<coderay>, ["~> 1.0.5"])
40   - s.add_dependency(%q<slop>, ["< 3", ">= 2.4.3"])
  40 + s.add_dependency(%q<slop>, ["< 3", ">= 2.4.4"])
41 41 s.add_dependency(%q<method_source>, ["~> 0.7"])
42 42 s.add_dependency(%q<bacon>, ["~> 1.1"])
43 43 s.add_dependency(%q<open4>, ["~> 1.3"])

0 comments on commit 5e5bf60

Please sign in to comment.
Something went wrong with that request. Please try again.